enum RequestType {
  get,
  post,
  delete,
  put,
}

enum ExceptionType {
  notAuthenticated,
  connectionError,
  // related to http status code exceptions
  notAuthorized,
  notFound,
  internalServerException,
  serviceUnavailableException,
  pageGone,

  // related to bad request status code
  // related to auth requests
  invalidCredentials,
  solutionAlreadySunmitted,
  invalidValidation,
  // other
  other,
}

enum ExceptionMessage {
  NOT_AUTHENTICATED,
  INVALID_CREDENTIALS,
  The_password_field_must_be_at_least_8_characters,
  SOLUTION_ALREADY_SUBMITTED,
  you_are_not_authorized,
  page_not_found,
  page_gone,
  INTERNAL_SERVER_ERROR,
  service_unavailable,
}

enum NotificationsType {
  payment,
  transporation,
  product,
  zero,
}

enum ImagesType {
  assets,
  svg,
  network,
}
